SDL_JoyAxisEvent Struct Reference

Joystick axis motion event structure (event.jaxis.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | axis
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | value
Uint16 | padding4

## Detailed Description

Joystick axis motion event structure (event.jaxis.*)

Definition at line 276 of file SDL_events.h.

## Field Documentation

Uint8 SDL_JoyAxisEvent::axis

The joystick axis index

Definition at line 281 of file SDL_events.h.

Referenced by loop(), SDL_GameControllerEventWatcher(), and WatchJoystick().

Uint8 SDL_JoyAxisEvent::padding1

Definition at line 282 of file SDL_events.h.

Uint8 SDL_JoyAxisEvent::padding2

Definition at line 283 of file SDL_events.h.

Uint8 SDL_JoyAxisEvent::padding3

Definition at line 284 of file SDL_events.h.

Uint16 SDL_JoyAxisEvent::padding4

Definition at line 286 of file SDL_events.h.

Uint32 SDL_JoyAxisEvent::timestamp

Definition at line 279 of file SDL_events.h.

Uint32 SDL_JoyAxisEvent::type

SDL_JOYAXISMOTION

Definition at line 278 of file SDL_events.h.

Sint16 SDL_JoyAxisEvent::value

The axis value (range: -32768 to 32767)

Definition at line 285 of file SDL_events.h.

Referenced by loop(), SDL_GameControllerEventWatcher(), and WatchJoystick().

SDL_JoystickID SDL_JoyAxisEvent::which

The joystick instance id

Definition at line 280 of file SDL_events.h.

Referenced by loop(), and SDL_GameControllerEventWatcher().

The documentation for this struct was generated from the following file:

- include/SDL_events.h